<app-add-drink (drinkAdded)="onDrinkAdded($event)"></app-add-drink>

<mat-form-field class="filter-area">
    <input matInput
           (keyup)="applyFilter($event.target.value)"
           placeholder="Filter">
</mat-form-field>

<table mat-table
       #table
       matSort
       [dataSource]="dataSource">

    <!-- Used Angular Material Table do display data -->

    <ng-container matColumnDef="id">
        <th mat-header-cell
            mat-sort-header
            *matHeaderCellDef> ID </th>
        <td mat-cell
            *matCellDef="let drink"> {{ drink.id }} </td>
    </ng-container>

    <ng-container matColumnDef="name">
        <th mat-header-cell
            mat-sort-header
            *matHeaderCellDef> Name </th>
        <td mat-cell
            *matCellDef="let drink"> {{ drink.name }} </td>
    </ng-container>

    <ng-container matColumnDef="year">
        <th mat-header-cell
            mat-sort-header
            *matHeaderCellDef> Year </th>
        <td mat-cell
            *matCellDef="let drink"> {{ drink.year }} </td>
    </ng-container>

    <ng-container matColumnDef="price">
        <th mat-header-cell
            mat-sort-header
            *matHeaderCellDef> Price </th>
        <td mat-cell
            *matCellDef="let drink"> {{ drink.price | currency:'EUR' }} </td>
    </ng-container>

    <ng-container matColumnDef="detail">
        <th mat-header-cell
            *matHeaderCellDef> </th>
        <td mat-cell
            *matCellDef="let drink">
            <a (click)="drinkDetail(drink.id, drinkType)"><i class="fas fa-info" title="More Details"></i></a> </td>
    </ng-container>

    <tr mat-header-row
        *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row
        *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

<mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>